Subject: Re: [PATCH 0/3] Reject non-ff pulls by default

From: Junio C Hamano <[email-masked]>
Date: Tue, 10 Sep 2013 14:56:48 -0700

Matthieu Moy <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>
>> You are in favor of an _option_ to allow people to forbid a pull in
>> a non-ff situation, and I think other people are also in
>> agreement.
>
> Yes. Having an option can't harm anybody, and there's a clear demand for
> that.
>
>> So perhaps:
>>
>>  - drop jc/pull-training-wheel and revert its merge from 'next';
>>
>>  - update Felipe's series with a bit of tweak to make it less
>>    impactful by demoting error into warning and advice.
>>
>> would be a good way forward?
>
> I didn't follow very closely the discussions and patch series, but that
> would sound right to me. The last version of Felipes' patch series
> already gives a warning only, but the wording and commit message implies
> that this will become an error in the future (this is the part with
> which I disagree).

OK, the first step to drop jc/pull-training-wheel from 'next' has
been done. I _think_ the one that starts at $gmane/234295 is the
newer incarnation of the patches in this thread, but that seems to
do a lot more than what the patches in this thread did, and it also
badly interacts with another topic in flight that updates git-pull,
so I have a topic branch for it but haven't merged to 'pu' yet.